Page MenuHomePhabricator

Expose revision-create in EventStreams
Closed, ResolvedPublic2 Story Points

Event Timeline

Ottomata created this task.Jun 12 2017, 1:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2017, 1:36 PM
Nuria moved this task from Incoming to Backlog (Later) on the Analytics board.Jun 12 2017, 3:51 PM
Krinkle moved this task from Inbox to Backlog on the Wikimedia-Stream board.Jun 22 2017, 8:34 PM

Change 361497 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/puppet@production] Expose mediawiki.revision-create stream from eventstreams.

https://gerrit.wikimedia.org/r/361497

@akosiaris, could you take a look at this? Once it's ready, we'll be able to simplify some precaching stuff for ORES. See T166046

I 've commented on the change already.

Nuria added a comment.Jun 27 2017, 5:31 PM

The stream needs to be documented publicy just like recent-changes is: https://www.mediawiki.org/wiki/API:Recent_changes_stream specially as those two events overlap somewhat

Change 361497 merged by Alexandros Kosiaris:
[operations/puppet@production] Expose mediawiki.revision-create stream from eventstreams.

https://gerrit.wikimedia.org/r/361497

Change merged, eventstreams service has been restarted and should be publishing the new stream

Change 362092 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/eventstreams/deploy@master] Dummy commit: s/localhost/127.0.0.1/

https://gerrit.wikimedia.org/r/362092

Change 362092 merged by Mobrovac:
[mediawiki/services/eventstreams/deploy@master] Dummy commit: s/localhost/127.0.0.1/

https://gerrit.wikimedia.org/r/362092

mobrovac closed this task as Resolved.Jun 28 2017, 10:34 PM
mobrovac removed a project: Patch-For-Review.

The revision-create stream is now live.

Nuria reopened this task as Open.Jun 29 2017, 3:10 PM

Reopening until documentation is in place for new stream

Halfak closed this task as Resolved.Jun 29 2017, 4:25 PM

I created a separate task (T169245: Document revision-create event for EventStreams) as this is additional work so this one can be resolved.